adapt_struct.hpp File Reference

Documents the `BOOST_HANA_ADAPT_STRUCT` macro. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Functions

auto | boost::hana::BOOST_HANA_ADAPT_STRUCT (...)
| Defines a model of `Struct` with the given members.Using this macro at global scope will define a model of the `Struct` concept for the given type. This can be used to easily adapt existing user-defined types in a ad-hoc manner. Unlike the `BOOST_HANA_DEFINE_STRUCT` macro, this macro does not require the types of the members to be specified. More...

## Detailed Description

Documents the `BOOST_HANA_ADAPT_STRUCT` macro.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)